#ifndef _I2C_UTILS_H_
#define _I2C_UTILS_H_
#include "project.h"

void i2c_set_slave_address(uint8_t address) ;
int i2c_test_address(uint8_t address) ;
int i2c_read_byte(uint8_t *value) ;
int i2c_write_byte(uint8_t value) ;
int i2c_read_reg(uint8_t reg_address, uint8_t *value) ;
int i2c_write_reg(uint8_t reg_address, uint8_t value) ;
int i2c_read_regs(uint8_t regaddress, uint8_t *value, int num) ;
int i2c_read_regs_w_buf(uint8_t regaddress, uint8_t *value, int num) ;
int i2c_write_regs_w_buf(uint8_t regaddress, uint8_t *value, int num) ;

#endif /* _I2C_UTILS_H_ */