#ifndef _PCF8563_H_
#define _PCF8563_H_
#include "project.h"
    
uint8_t byte2bcd(uint8_t in) ;
uint8_t bcd2byte(uint8_t bcd) ;
    
void    pcf8563_init(void) ;

void    pcf8563_get_regs(uint8_t regs[]) ;
uint8_t pcf8563_get_seconds(void) ;
uint8_t pcf8563_get_minutes(void) ;
uint8_t pcf8563_get_hours(void) ;
uint8_t pcf8563_get_days(void) ;
uint8_t pcf8563_get_weekdays(void) ;
uint8_t pcf8563_get_months(void) ;
uint8_t pcf8563_get_years(void) ;
uint8_t pcf8563_get_century(void) ;
uint8_t pcf8563_get_VL(void) ;

void    pcf8563_set_regs(uint8_t regs[]) ;
void    pcf8563_set_seconds(uint8_t seconds) ;
void    pcf8563_set_minutes(uint8_t minutes) ;
void    pcf8563_set_hours(uint8_t hours) ;
void    pcf8563_set_days(uint8_t days) ;
void    pcf8563_set_weekdays(uint8_t weekdays) ;
void    pcf8563_set_months(uint8_t months) ;
void    pcf8563_set_years(uint8_t years) ;
void    pcf8563_set_century(uint8_t century) ;
void    pcf8563_set_VL(uint8_t VL) ;

void    pcf8563_run(void) ;
void    pcf8563_stop(void) ;
#endif /* _PCF8563_H_ */